ReportCommand (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.diskbalancer.command, class: ReportCommand

Package org.apache.hadoop.hdfs.server.diskbalancer.command

# Class ReportCommand

java.lang.Object
org.apache.hadoop.conf.Configured
org.apache.hadoop.hdfs.server.diskbalancer.command.Command
org.apache.hadoop.hdfs.server.diskbalancer.command.ReportCommand

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `org.apache.hadoop.conf.Configurable`

public class ReportCommand extends Command
Executes the report command. This command will report volume information for a specific DataNode or top X DataNode(s) benefiting from running DiskBalancer. This is done by reading the cluster info, sorting the DiskbalancerNodes by their NodeDataDensity and printing out the info.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReportCommand(org.apache.hadoop.conf.Configuration conf)`
  `ReportCommand(org.apache.hadoop.conf.Configuration conf, PrintStream ps)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `execute(org.apache.commons.cli.CommandLine cmd)`
  Executes the Client Calls.
  `void`
  `printHelp()`
  Prints the help message.

  ### Methods inherited from class org.apache.hadoop.hdfs.server.diskbalancer.command.Command

  `addValidCommandParameters, close, create, getClusterURI, getDataNodeProxy, getDefaultTop, getNodeList, getNodes, getOutputPath, getTopNodes, open, parseTopNodes, populatePathNames, readClusterInfo, recordOutput, setCluster, setClusterURI, setNodesToProcess, setNodesToProcess, setOutputPath, setTopNodes, verifyCommandOptions`

  ### Methods inherited from class org.apache.hadoop.conf.Configured

  `getConf, setConf`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ReportCommand

    public ReportCommand(org.apache.hadoop.conf.Configuration conf)

  - ### ReportCommand

    public ReportCommand(org.apache.hadoop.conf.Configuration conf, PrintStream ps)

- ## Method Details

  - ### execute

    public void execute(org.apache.commons.cli.CommandLine cmd) throws Exception
    Description copied from class: `Command`
    Executes the Client Calls.
    Specified by:
      `execute` in class `Command`
    Parameters:
      `cmd` - - CommandLine
    Throws:
      `Exception`

  - ### printHelp

    public void printHelp()
    Prints the help message.
    Specified by:
      `printHelp` in class `Command`